package com.huashe.park.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 用户打卡信息对象 park_attend_usr_detail
 *
 * @author ruoyi
 * @date 2025-01-08
 */
public class ParkAttendUsrDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * $column.columnComment
     */
    private String usrId;

    /**
     * 用户名
     */
    @Excel(name = "用户名")
    private String usrName;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date attendStart;
    @Excel(name = "打卡状态")
    private String startAttendStat;
    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date attendEnd;
    @Excel(name = "打卡状态")
    private String endAttendStat;
    /**
     * yyyyMMdd
     */
    private String dt;


    /**
     * 考勤组主键
     */
    @Excel(name = "考勤组主键")
    private Long attendGroupId;


    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUsrId(String usrId) {
        this.usrId = usrId;
    }

    public String getUsrId() {
        return usrId;
    }

    public void setUsrName(String usrName) {
        this.usrName = usrName;
    }

    public String getUsrName() {
        return usrName;
    }

    public void setAttendStart(Date attendStart) {
        this.attendStart = attendStart;
    }

    public Date getAttendStart() {
        return attendStart;
    }

    public void setAttendEnd(Date attendEnd) {
        this.attendEnd = attendEnd;
    }

    public Date getAttendEnd() {
        return attendEnd;
    }

    public void setDt(String dt) {
        this.dt = dt;
    }

    public String getDt() {
        return dt;
    }

    public String getStartAttendStat() {
        return startAttendStat;
    }

    public void setStartAttendStat(String startAttendStat) {
        this.startAttendStat = startAttendStat;
    }

    public String getEndAttendStat() {
        return endAttendStat;
    }

    public void setEndAttendStat(String endAttendStat) {
        this.endAttendStat = endAttendStat;
    }

    public void setAttendGroupId(Long attendGroupId) {
        this.attendGroupId = attendGroupId;
    }

    public Long getAttendGroupId() {
        return attendGroupId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("usrId", getUsrId())
                .append("usrName", getUsrName())
                .append("attendStart", getAttendStart())
                .append("attendEnd", getAttendEnd())
                .append("dt", getDt())
                .append("attendGroupId", getAttendGroupId())
                .append("updateTime", getUpdateTime())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("tenantId", getTenantId())
                .toString();
    }
}
